## golang-github-mfridman-tparse 0.18.0

=== Makefile ===
ROOT := github.com/mfridman/tparse
GOPATH ?= $(shell go env GOPATH)
TOOLS_BIN = $(GOPATH)/bin

.PHONY: vet
vet:
	@go vet ./...

.PHONY: lint
lint: tools
	@golangci-lint run ./... --fix

.PHONY: tools
tools:
	@which golangci-lint >/dev/null 2>&1 || \
		(echo "Installing latest golangci-lint" && \
		curl -sSfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh | \
		sh -s -- -b "$(TOOLS_BIN)")

.PHONY: tools-update
tools-update:
	@echo "Updating golangci-lint to latest version"
	@rm -f "$(TOOLS_BIN)/golangci-lint"
	@curl -sSfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh | \
		sh -s -- -b "$(TOOLS_BIN)"
	@echo "golangci-lint updated successfully to latest version"

.PHONY: tools-version
tools-version:
	@echo "Current tool versions:"
	@echo "golangci-lint: $$(golangci-lint --version 2>/dev/null || echo 'not installed')"

.PHONY: release
release:
	@goreleaser --rm-dist

.PHONY: build
build:
	@go build -o $$GOBIN/tparse ./

.PHONY: clean
clean:
	@find . -type f -name '*.FAIL' -delete

.PHONY: test
test:
	@go test -count=1 ./...

test-tparse:
	@go test -race -count=1 ./internal/... -json -cover | go run main.go -trimpath=auto -sort=elapsed
	@go test -race -count=1 ./tests/... -json -cover -coverpkg=./parse | go run main.go -trimpath=github.com/mfridman/tparse/ -sort=elapsed

# dogfooding :)
test-tparse-full:
	go test -race -count=1 -v ./... -json | go run main.go -all -smallscreen -notests -sort=elapsed

coverage:
	go test ./tests/... -coverpkg=./parse -covermode=count -coverprofile=count.out
	go tool cover -html=count.out

search-todo:
	@echo "Searching for TODOs in Go files..."
	@rg '// TODO\(mf\):' --glob '*.go' || echo "No TODOs found."

=== debian/changelog ===
golang-github-mfridman-tparse (0.18.0-1) unstable; urgency=medium

  * Initial release (Closes: #1118504)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 31 Oct 2025 17:54:18 +0100

=== debian/control ===
Source: golang-github-mfridman-tparse
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dr. Tobias Quathamer <toddy@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-charmbracelet-lipgloss-dev (>= 1.1.0),
               golang-github-muesli-termenv-dev,
               golang-github-stretchr-testify-dev,
               golang-golang-x-term-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-mfridman-tparse
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-mfridman-tparse.git
Homepage: https://github.com/mfridman/tparse
XS-Go-Import-Path: github.com/mfridman/tparse

Package: golang-github-mfridman-tparse-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-charmbracelet-lipgloss-dev (>= 1.1.0),
         golang-github-muesli-termenv-dev,
         golang-github-stretchr-testify-dev,
         golang-golang-x-term-dev,
         ${misc:Depends},
Description: CLI tool for summarizing go test output
 A command line tool for analyzing and summarizing go test output.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang

# Currently, we do not need the CLI tool,
# only the go source files.
override_dh_auto_install:
	dh_auto_install -- --no-binaries

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/mfridman/tparse/tags .*/v?(\d\S*)\.tar\.gz debian
